Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PersonApprovalList/FrmPersonAppList.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PersonApprovalList/FrmPersonAppList.Designer.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PersonApprovalList/FrmPersonAppList.Designer.cs	(revision 52)
@@ -0,0 +1,343 @@
+﻿namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmPersonApprList
+    {
+        /// <summary>
+        /// Required designer variable.
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// Clean up any resources being used.
+        /// </summary>
+        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows Form Designer generated code
+
+        /// <summary>
+        /// Required method for Designer support - do not modify
+        /// the contents of this method with the code editor.
+        /// </summary>
+        private void InitializeComponent()
+        {
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle11 = new System.Windows.Forms.DataGridViewCellStyle();
+            this.label1 = new System.Windows.Forms.Label();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.panel3 = new System.Windows.Forms.Panel();
+            this.comboBox1 = new ProcessManagement.Forms.CustomControls.ComboBoxEX();
+            this.label6 = new System.Windows.Forms.Label();
+            this.dgvApproval = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
+            this.ApprovalColumn02 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.ApprovalColumn01 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.ApprovalColumn03 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.ApprovalColumn06 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.ApprovalColumn08 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.ApprovalColumn09 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.ApprovalColumn10 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.ApprovalColumn11 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.panel3.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvApproval)).BeginInit();
+            this.SuspendLayout();
+            // 
+            // label1
+            // 
+            this.label1.Anchor = System.Windows.Forms.AnchorStyles.Top;
+            this.label1.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
+            this.label1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label1.ForeColor = System.Drawing.Color.Black;
+            this.label1.Location = new System.Drawing.Point(422, 9);
+            this.label1.Name = "label1";
+            this.label1.Size = new System.Drawing.Size(500, 20);
+            this.label1.TabIndex = 7;
+            this.label1.Text = "担　当　者　申　請　一　覧";
+            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(1215, 635);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 98;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // panel3
+            // 
+            this.panel3.Anchor = System.Windows.Forms.AnchorStyles.Top;
+            this.panel3.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
+            this.panel3.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.panel3.Controls.Add(this.comboBox1);
+            this.panel3.Controls.Add(this.label6);
+            this.panel3.Location = new System.Drawing.Point(6, 40);
+            this.panel3.Name = "panel3";
+            this.panel3.Size = new System.Drawing.Size(1330, 44);
+            this.panel3.TabIndex = 104;
+            // 
+            // comboBox1
+            // 
+            this.comboBox1.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.comboBox1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.comboBox1.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.comboBox1.FormattingEnabled = true;
+            this.comboBox1.Location = new System.Drawing.Point(133, 4);
+            this.comboBox1.Name = "comboBox1";
+            this.comboBox1.Size = new System.Drawing.Size(160, 29);
+            this.comboBox1.TabIndex = 114;
+            // 
+            // label6
+            // 
+            this.label6.BackColor = System.Drawing.Color.SandyBrown;
+            this.label6.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label6.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label6.ForeColor = System.Drawing.Color.Black;
+            this.label6.Location = new System.Drawing.Point(5, 5);
+            this.label6.Name = "label6";
+            this.label6.Size = new System.Drawing.Size(120, 27);
+            this.label6.TabIndex = 111;
+            this.label6.Text = "対象年月";
+            this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // dgvApproval
+            // 
+            this.dgvApproval.AllowUserToAddRows = false;
+            this.dgvApproval.AllowUserToDeleteRows = false;
+            this.dgvApproval.AllowUserToResizeColumns = false;
+            this.dgvApproval.AllowUserToResizeRows = false;
+            dataGridViewCellStyle1.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
+            this.dgvApproval.AlternatingRowsDefaultCellStyle = dataGridViewCellStyle1;
+            this.dgvApproval.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.dgvApproval.BackgroundColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
+            this.dgvApproval.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle2.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle2.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle2.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle2.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle2.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvApproval.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle2;
+            this.dgvApproval.ColumnHeadersHeight = 24;
+            this.dgvApproval.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+            this.dgvApproval.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.ApprovalColumn02,
+            this.ApprovalColumn01,
+            this.Column1,
+            this.ApprovalColumn03,
+            this.Column2,
+            this.ApprovalColumn06,
+            this.ApprovalColumn08,
+            this.ApprovalColumn09,
+            this.ApprovalColumn10,
+            this.ApprovalColumn11});
+            this.dgvApproval.EditMode = System.Windows.Forms.DataGridViewEditMode.EditOnEnter;
+            this.dgvApproval.Location = new System.Drawing.Point(6, 92);
+            this.dgvApproval.MultiSelect = false;
+            this.dgvApproval.Name = "dgvApproval";
+            this.dgvApproval.ReadOnly = true;
+            this.dgvApproval.RowHeadersVisible = false;
+            this.dgvApproval.RowHeadersWidth = 20;
+            this.dgvApproval.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
+            this.dgvApproval.RowTemplate.Height = 24;
+            this.dgvApproval.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
+            this.dgvApproval.Size = new System.Drawing.Size(1330, 530);
+            this.dgvApproval.TabIndex = 105;
+            // 
+            // ApprovalColumn02
+            // 
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle3.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle3.ForeColor = System.Drawing.Color.Black;
+            this.ApprovalColumn02.DefaultCellStyle = dataGridViewCellStyle3;
+            this.ApprovalColumn02.Frozen = true;
+            this.ApprovalColumn02.HeaderText = "担当者コード";
+            this.ApprovalColumn02.Name = "ApprovalColumn02";
+            this.ApprovalColumn02.ReadOnly = true;
+            this.ApprovalColumn02.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.ApprovalColumn02.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.ApprovalColumn02.Visible = false;
+            this.ApprovalColumn02.Width = 5;
+            // 
+            // ApprovalColumn01
+            // 
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle4.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle4.ForeColor = System.Drawing.Color.Black;
+            this.ApprovalColumn01.DefaultCellStyle = dataGridViewCellStyle4;
+            this.ApprovalColumn01.Frozen = true;
+            this.ApprovalColumn01.HeaderText = "№";
+            this.ApprovalColumn01.Name = "ApprovalColumn01";
+            this.ApprovalColumn01.ReadOnly = true;
+            this.ApprovalColumn01.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.ApprovalColumn01.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.ApprovalColumn01.Width = 50;
+            // 
+            // Column1
+            // 
+            this.Column1.Frozen = true;
+            this.Column1.HeaderText = "部　署　名";
+            this.Column1.Name = "Column1";
+            this.Column1.ReadOnly = true;
+            this.Column1.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column1.Width = 220;
+            // 
+            // ApprovalColumn03
+            // 
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle5.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle5.ForeColor = System.Drawing.Color.Black;
+            this.ApprovalColumn03.DefaultCellStyle = dataGridViewCellStyle5;
+            this.ApprovalColumn03.Frozen = true;
+            this.ApprovalColumn03.HeaderText = "担当者名";
+            this.ApprovalColumn03.Name = "ApprovalColumn03";
+            this.ApprovalColumn03.ReadOnly = true;
+            this.ApprovalColumn03.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.ApprovalColumn03.Width = 200;
+            // 
+            // Column2
+            // 
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle6.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle6.ForeColor = System.Drawing.Color.Black;
+            this.Column2.DefaultCellStyle = dataGridViewCellStyle6;
+            this.Column2.Frozen = true;
+            this.Column2.HeaderText = "申請項目";
+            this.Column2.Name = "Column2";
+            this.Column2.ReadOnly = true;
+            this.Column2.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column2.Width = 140;
+            // 
+            // ApprovalColumn06
+            // 
+            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle7.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle7.ForeColor = System.Drawing.Color.Black;
+            this.ApprovalColumn06.DefaultCellStyle = dataGridViewCellStyle7;
+            this.ApprovalColumn06.Frozen = true;
+            this.ApprovalColumn06.HeaderText = "申請日";
+            this.ApprovalColumn06.Name = "ApprovalColumn06";
+            this.ApprovalColumn06.ReadOnly = true;
+            this.ApprovalColumn06.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.ApprovalColumn06.Width = 140;
+            // 
+            // ApprovalColumn08
+            // 
+            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle8.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle8.ForeColor = System.Drawing.Color.Black;
+            this.ApprovalColumn08.DefaultCellStyle = dataGridViewCellStyle8;
+            this.ApprovalColumn08.HeaderText = "承認者１";
+            this.ApprovalColumn08.Name = "ApprovalColumn08";
+            this.ApprovalColumn08.ReadOnly = true;
+            this.ApprovalColumn08.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.ApprovalColumn08.Width = 140;
+            // 
+            // ApprovalColumn09
+            // 
+            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle9.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle9.ForeColor = System.Drawing.Color.Black;
+            this.ApprovalColumn09.DefaultCellStyle = dataGridViewCellStyle9;
+            this.ApprovalColumn09.HeaderText = "承認者２";
+            this.ApprovalColumn09.Name = "ApprovalColumn09";
+            this.ApprovalColumn09.ReadOnly = true;
+            this.ApprovalColumn09.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.ApprovalColumn09.Width = 140;
+            // 
+            // ApprovalColumn10
+            // 
+            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle10.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle10.ForeColor = System.Drawing.Color.Black;
+            this.ApprovalColumn10.DefaultCellStyle = dataGridViewCellStyle10;
+            this.ApprovalColumn10.HeaderText = "承認者３";
+            this.ApprovalColumn10.Name = "ApprovalColumn10";
+            this.ApprovalColumn10.ReadOnly = true;
+            this.ApprovalColumn10.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.ApprovalColumn10.Width = 140;
+            // 
+            // ApprovalColumn11
+            // 
+            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle11.BackColor = System.Drawing.Color.White;
+            dataGridViewCellStyle11.ForeColor = System.Drawing.Color.Black;
+            this.ApprovalColumn11.DefaultCellStyle = dataGridViewCellStyle11;
+            this.ApprovalColumn11.HeaderText = "承認者４";
+            this.ApprovalColumn11.Name = "ApprovalColumn11";
+            this.ApprovalColumn11.ReadOnly = true;
+            this.ApprovalColumn11.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.ApprovalColumn11.Width = 140;
+            // 
+            // FrmPersonApprovalList
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
+            this.BackColor = System.Drawing.Color.Black;
+            this.ClientSize = new System.Drawing.Size(1344, 677);
+            this.Controls.Add(this.dgvApproval);
+            this.Controls.Add(this.panel3);
+            this.Controls.Add(this.btnEnd);
+            this.Controls.Add(this.label1);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
+            this.KeyPreview = true;
+            this.Name = "FrmPersonApprovalList";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmPersonApprovalList_FormClosing);
+            this.Load += new System.EventHandler(this.FrmPersonApprovalList_Load);
+            this.panel3.ResumeLayout(false);
+            ((System.ComponentModel.ISupportInitialize)(this.dgvApproval)).EndInit();
+            this.ResumeLayout(false);
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Label label1;
+        private System.Windows.Forms.Button btnEnd;
+        private System.Windows.Forms.Panel panel3;
+        private CustomControls.ComboBoxEX comboBox1;
+        private System.Windows.Forms.Label label6;
+        private CustomControls.DataGridViewEX dgvApproval;
+        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalColumn02;
+        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalColumn01;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalColumn03;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalColumn06;
+        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalColumn08;
+        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalColumn09;
+        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalColumn10;
+        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalColumn11;
+    }
+}
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PersonApprovalList/FrmPersonAppList.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PersonApprovalList/FrmPersonAppList.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PersonApprovalList/FrmPersonAppList.cs	(revision 52)
@@ -0,0 +1,270 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Collections;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.CustomControls;
+
+//*---------------------------- 担当者承認申請一覧画面 ------------------------*
+//  2017/03/04  Ver1.0.0.0      Create Source           
+//
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmPersonApprList : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        #region 出勤日報グリッドカラム
+        /// <summary>
+        /// 出勤日報グリッドカラム
+        /// </summary>
+        private enum GridColumn01
+        {
+            DispDay = 0,
+            AttendanceDate,
+            WeekString,
+            ConstructionCode,
+            ConstructionName,
+            OverTimes,
+            Comment,
+        }
+        #endregion
+
+        #region 通勤交通費グリッドカラム
+        /// <summary>
+        /// 通勤交通費グリッドカラム
+        /// </summary>
+        private enum GridColumn02
+        {
+            DispDay = 0,
+            AttendanceDate,
+            StartNumber,
+            CompNumber,
+            TotalDistance,
+            OfficeGo,
+            OfficeOut,
+            TrancePayGo,
+            TrancePayOut,
+            WareHouse,
+        }
+        #endregion
+
+        #region 表示コントロール
+        /// <summary>
+        /// 表示コントロール
+        /// </summary>
+        private enum DspCtrlName
+        {
+            /// <summary>
+            /// 部署名
+            /// </summary>
+            DepartmentName = 0,
+            /// <summary>
+            /// 担当者名
+            /// </summary>
+            PersonName,
+            /// <summary>
+            /// 日報年月
+            /// </summary>
+            ConstructionYear,
+            /// <summary>
+            /// 日報開始日
+            /// </summary>
+            ConstructionDayFrom,
+            /// <summary>
+            /// 日報終了日
+            /// </summary>
+            ConstructionDayTo,
+            /// <summary>
+            /// 出勤日数
+            /// </summary>
+            WorkingDays,
+            /// <summary>
+            /// 残業時間
+            /// </summary>
+            Overtime,
+
+            KmTodayTotal,
+            OfficeTodayCnt01,
+            OfficeTodayCnt02,
+            TrancePayCnt01,
+            TrancePayCnt02,
+            WarehouseTodayCnt01,
+            KmMonthTotal01,
+            KmMonthTotal02,
+            KmMonthTotal03,
+            UnitPrice01,
+            UnitPrice02,
+            UnitPrice03,
+            UnitPrice04,
+            MonthCnt01,
+            MonthCnt02,
+            MonthCnt03,
+            MonthTotal01,
+            MonthTotal02,
+            MonthTotal03,
+            MonthTotal04,
+            MonthTotal05,
+        }
+        #endregion
+
+        #endregion
+
+        #region 変数
+
+        /// <summary>
+        /// 初期時フラグ
+        /// </summary>
+        private bool m_initDataLoad = true;
+
+        /// <summary>
+        /// 起動フラグ
+        /// </summary>
+        private int m_ExecuteFlg = 0;
+
+        /// <summary>
+        /// 担当者コード
+        /// </summary>
+        private int m_PersonCode = 0;
+
+        /// <summary>
+        /// 対象年月
+        /// </summary>
+        private DateTime m_ReportDate = DateTime.Now;
+
+        /// <summary>
+        /// アクセス制限フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 起動フラグ
+        /// </summary>
+        public int ExecuteFlg
+        {
+            get { return m_ExecuteFlg; }
+            set { m_ExecuteFlg = value; }
+        }
+
+        /// <summary>
+        /// 担当者番号
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+
+        /// <summary>
+        /// 対象年月
+        /// </summary>
+        public DateTime ReportDate
+        {
+            get { return m_ReportDate; }
+            set { m_ReportDate = value; }
+        }
+
+        /// <summary>
+        /// アクセス制限フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        public FrmPersonApprList()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmPersonApprovalList_Load(object sender, EventArgs e)
+        {
+            try
+            {
+                // 初期表示
+                InitDataLoad();
+
+                m_initDataLoad = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 終了ボタンクリック
+        /// <summary>
+        /// 終了ボタンクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+        #endregion
+
+        #region ×ボタン
+        /// <summary>
+        /// ×ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmPersonApprovalList_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            try
+            {
+                // 前プロセスに戻る
+                ClsExcute.BackProcess();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+    }
+}
